
void step08a (boolean drawGuides, boolean drawEllipses, int p1, int p2, int n2, int n1) {
  // Extend squares East and West to edge of outer circle

  // calculate rise over run and multiply by new run
  float deltaX = xInnerCircle[p1] - xInnerCircle[p2];
  float deltaY = yInnerCircle[p1] - yInnerCircle[p2];

  // call lineCircle to find intesection points
  circleLineIntersect(xInnerCircle[p1], yInnerCircle[p1], xInnerCircle[p2], yInnerCircle[p2], xCenter, yCenter, scale, n1, n2, 'A');

  if (drawEllipses) {
    ellipse(xInnerCircle[p1], yInnerCircle[p1], 20, 20);
    ellipse(xInnerCircle[p2], yInnerCircle[p2], 20, 20);
  }

  if (drawGuides) {
    strokeWeight(guideWeight);
    line(xSquaresToOuterCircle[n1], ySquaresToOuterCircle[n1], xSquaresToOuterCircle[n2], ySquaresToOuterCircle[n2]);
  }
}
